$ mycc := cc/standard=relaxed/include=([...],[-.packaging.vms])/prefix=all -
  /define=(-
  """SMBLOGFILE=""""/samba_root/var/smb.log""""""",-
  """NMBLOGFILE=""""/samba_root/var/nmb.log""""""",-
  """CONFIGFILE=""""/samba_root/lib/smb.conf""""""",-
  """LMHOSTSFILE=""""/samba_root/lib/lmhosts""""""",-
  """WEB_ROOT=""""/samba_root/web""""""",-
  """LOCKDIR=""""/samba_root/var/locks""""""",-
  """SMBRUN=""""/samba_root/bin/smbrun""""""",-
  """CODEPAGEDIR=""""/samba_root/lib/codepages""""""",-
  """WORKGROUP=""""WORKGROUP""""""",-
  """GUEST_ACCOUNT=""""nobody""""""",-
  """DRIVERFILE=""""/samba_root/lib/printers.def""""""",-
  """SMB_PASSWD=""""/samba_root/bin/smbpasswd""""""",-
  """SMB_PASSWD_FILE=""""/samba_root/private/smbpasswd""""""")
$ goto skip
$ delete *.obj.*
$ macro   [-.packaging.vms]SETUSER.MAR
$ fortran [-.packaging.vms]F_SMBPASS.FOR
$ mycc  [-.packaging.vms]VMS_SMBPASS.C
$ mycc  [-.packaging.vms]GET.C
$ mycc  [-.packaging.vms]GETOPT.C
$ mycc  [-.packaging.vms]HPWD.C
$! mycc  [-.packaging.vms]POSIXTIM.C
$ mycc  [-.packaging.vms]PRIV.C
$ mycc  [-.packaging.vms]SETUID.C
$ mycc  [-.packaging.vms]STAT.C
$ mycc  [-.packaging.vms]STM_READ.C
$ mycc  [-.packaging.vms]TCP.C
$ mycc  [-.packaging.vms]UTIME.C
$ mycc  [-.packaging.vms]VMS_DIR.C
$ mycc  [-.packaging.vms]VMS_SUP.C
$ lib/object/create vmsparts.olb *.obj
$ delete *.obj.*
$!
$ mycc  [.rpc_pipes]srvparse.c 
$ mycc  [.rpc_pipes]smbparse.c 
$ mycc  [.rpc_pipes]lsaparse.c 
$ mycc  [.rpc_pipes]pipeutil.c 
$ mycc  [.rpc_pipes]pipe_hnd.c 
$ mycc  [.rpc_pipes]samrparse.c 
$ mycc  [.rpc_pipes]wksparse.c 
$ mycc  [.rpc_pipes]lsa_hnd.c 
$ mycc  [.rpc_pipes]pipenetlog.c 
$ mycc  [.rpc_pipes]pipentlsa.c 
$ mycc  [.rpc_pipes]pipesrvsvc.c 
$ mycc  [.rpc_pipes]pipewkssvc.c 
$ mycc  [.rpc_pipes]pipesamr.c 
$ mycc  [.rpc_pipes]ntclientpipe.c 
$ mycc  [.rpc_pipes]ntclientlsa.c 
$ mycc  [.rpc_pipes]ntclientnet.c 
$ library/object/create []rpc_pipes.olb *.obj 
$ delete *.obj.
$ mycc  util.c 
$ mycc  system.c 
$ mycc  charset.c 
$ mycc  kanji.c 
$ mycc  fault.c 
$ mycc  smbencrypt.c 
$ mycc  smbdes.c 
$ mycc  charcnv.c 
$ mycc  md4.c 
$ mycc  loadparm.c 
$ mycc  params.c 
$ mycc  pcap.c 
$ mycc  username.c 
$ mycc  time.c 
$ mycc  namequery.c 
$ mycc  nmblib.c 
$ mycc  interface.c 
$ mycc  replace.c 
$ mycc  print_svid.c 
$ mycc  smberr.c 
$ mycc  [.mem_man]mem_man.c 
$ mycc  slprintf.c 
$ mycc  trans2.c 
$ mycc  message.c 
$ mycc  dir.c 
$ mycc  printing.c 
$ mycc  ipc.c 
$ mycc  reply.c 
$ mycc  mangle.c 
$ mycc  chgpasswd.c 
$ mycc  password.c 
$ mycc  quotas.c 
$ mycc  uid.c 
$ mycc  predict.c 
$ mycc  credentials.c 
$ mycc  clientgen.c 
$ mycc  pipes.c 
$ mycc  server.c 
$ mycc  access.c 
$ mycc  ufc.c 
$!  try leaving it out.... Nope, use VMS_SMBPASS, see above
$! mycc  smbpass.c 
$ mycc  [.ubiqx]ubi_dLinkList.c 
$ mycc  locking_shm.c 
$ mycc  locking_slow.c 
$ mycc  locking.c 
$ mycc  shmem.c 
$ mycc  shmem_sysv.c 
$ mycc  nmbd.c 
$ mycc  nmbd_packets.c 
$ mycc  nmbd_lmhosts.c 
$ mycc  nmbd_become_dmb.c 
$ mycc  nmbd_logonnames.c 
$ mycc  nmbd_browserdb.c 
$ mycc  nmbd_responserecordsdb.c 
$ mycc  nmbd_workgroupdb.c 
$ mycc  nmbd_serverlistdb.c 
$ mycc  nmbd_subnetdb.c 
$ mycc  nmbd_browsesync.c 
$ mycc  nmbd_nodestatus.c 
$ mycc  nmbd_mynames.c 
$ mycc  nmbd_winsproxy.c 
$ mycc  nmbd_sendannounce.c 
$ mycc  nmbd_processlogon.c 
$ mycc  nmbd_incomingdgrams.c 
$ mycc  asyncdns.c 
$ mycc  nmbd_winsserver.c 
$ mycc  nmbd_incomingrequests.c 
$ mycc  nmbd_nameregister.c 
$ mycc  nmbd_namerelease.c 
$ mycc  nmbd_namequery.c 
$ mycc  nmbd_become_lmb.c 
$ mycc  nmbd_elections.c 
$ mycc  nmbd_namelistdb.c 
$ mycc  client.c 
$ mycc  ntclient.c 
$ mycc  clientutil.c 
$ mycc  clitar.c 
$! the next one wasn't picked up by running the makefile in POSIX
$! but links are asking for it.
$ mycc  util.c
$ mycc  getsmbpass.c 
$ mycc  testparm.c 
$ mycc  testprns.c 
$ mycc  smbrun.c 
$ mycc  status.c 
$ mycc  smbpasswd.c 
$ mycc  make_smbcodepage.c 
$ mycc  nmblookup.c 
$ mycc  make_printerdef.c 
$!
$! now linking phases
$!
$ link/SYSEXE=SELECTIVE/exe=smbd.exe -
  util.obj, -
  system.obj, -
  charset.obj, -
  kanji.obj, -
  fault.obj, -
  smbencrypt.obj, -
  smbdes.obj, -
  charcnv.obj, -
  md4.obj, -
  loadparm.obj, -
  params.obj, -
  pcap.obj, -
  username.obj, -
  time.obj, -
  namequery.obj, -
  nmblib.obj, -
  interface.obj, -
  replace.obj, -
  print_svid.obj, -
  smberr.obj, -
  mem_man.obj, -
  slprintf.obj, -
  trans2.obj, -
  message.obj, -
  dir.obj, -
  printing.obj, -
  ipc.obj, -
  reply.obj, -
  mangle.obj, -
  chgpasswd.obj, -
  password.obj, -
  quotas.obj, -
  uid.obj, -
  predict.obj, -
  credentials.obj, -
  clientgen.obj, -
  pipes.obj, -
  server.obj, -
  access.obj, -
  ufc.obj, -
  ubi_dLinkList.obj, -
  rpc_pipes.olb/lib, -
  locking_shm.obj, -
  locking_slow.obj, -
  locking.obj, -
  shmem.obj, -
  shmem_sysv.obj, -
  vmsparts.olb/lib
$!  smbpass.obj, -
$ link/exe=nmbd.exe -
  util.obj, -
  system.obj, -
  charset.obj, -
  kanji.obj, -
  fault.obj, -
  smbencrypt.obj, -
  smbdes.obj, -
  charcnv.obj, -
  md4.obj, -
  loadparm.obj, -
  params.obj, -
  pcap.obj, -
  username.obj, -
  time.obj, -
  namequery.obj, -
  nmblib.obj, -
  interface.obj, -
  replace.obj, -
  print_svid.obj, -
  smberr.obj, -
  mem_man.obj, -
  slprintf.obj, -
  nmbd.obj, -
  nmbd_packets.obj, -
  nmbd_lmhosts.obj, -
  nmbd_become_dmb.obj, -
  nmbd_logonnames.obj, -
  nmbd_browserdb.obj, -
  nmbd_responserecordsdb.obj, -
  nmbd_workgroupdb.obj, -
  nmbd_serverlistdb.obj, -
  nmbd_subnetdb.obj, -
  nmbd_browsesync.obj, -
  nmbd_nodestatus.obj, -
  nmbd_mynames.obj, -
  nmbd_winsproxy.obj, -
  nmbd_sendannounce.obj, -
  nmbd_processlogon.obj, -
  nmbd_incomingdgrams.obj, -
  clientgen.obj, -
  asyncdns.obj, -
  nmbd_winsserver.obj, -
  nmbd_incomingrequests.obj, -
  nmbd_nameregister.obj, -
  nmbd_namerelease.obj, -
  nmbd_namequery.obj, -
  nmbd_become_lmb.obj, -
  nmbd_elections.obj, -
  nmbd_namelistdb.obj, -
  vmsparts.olb/lib
$!  smbpass.obj, -
$ link/exe=smbclient.exe -
  client.obj, -
  ntclient.obj, -
  credentials.obj, -
  clientutil.obj, -
  clitar.obj, -
  getsmbpass.obj, -
  util.obj, -
  system.obj, -
  charset.obj, -
  kanji.obj, -
  fault.obj, -
  smbencrypt.obj, -
  smbdes.obj, -
  charcnv.obj, -
  md4.obj, -
  loadparm.obj, -
  params.obj, -
  pcap.obj, -
  username.obj, -
  time.obj, -
  namequery.obj, -
  nmblib.obj, -
  interface.obj, -
  replace.obj, -
  print_svid.obj, -
  smberr.obj, -
  mem_man.obj, - 
  slprintf.obj, -
  rpc_pipes.olb/lib, -
  vmsparts.olb/lib
$ link/exe=testparm.exe -
  testparm.obj, -
  access.obj, -
  util.obj, -
  system.obj, -
  charset.obj, -
  kanji.obj, -
  fault.obj, -
  smbencrypt.obj, -
  smbdes.obj, -
  charcnv.obj, -
  md4.obj, -
  loadparm.obj, -
  params.obj, -
  pcap.obj, -
  username.obj, -
  time.obj, -
  namequery.obj, -
  nmblib.obj, -
  interface.obj, -
  replace.obj, -
  print_svid.obj, -
  smberr.obj, -
  mem_man.obj, -
  slprintf.obj, -
  vmsparts.olb/lib
$ link/exe=testprns.exe -
  testprns.obj, -
  util.obj, -
  system.obj, -
  charset.obj, -
  kanji.obj, -
  fault.obj, -
  smbencrypt.obj, -
  smbdes.obj, -
  charcnv.obj, -
  md4.obj, -
  loadparm.obj, -
  params.obj, -
  pcap.obj, -
  username.obj, -
  time.obj, -
  namequery.obj, -
  nmblib.obj, -
  interface.obj, -
  replace.obj, -
  print_svid.obj, -
  smberr.obj, -
  mem_man.obj, -
  slprintf.obj, -
  vmsparts.olb/lib
$ link/SYSEXE=SELECTIVE/exe=smbrun.exe -
  smbrun.obj, -
  util.obj, -
  system.obj, -
  charset.obj, -
  kanji.obj, -
  fault.obj, -
  smbencrypt.obj, -
  smbdes.obj, -
  charcnv.obj, -
  md4.obj, -
  loadparm.obj, -
  params.obj, -
  pcap.obj, -
  username.obj, -
  time.obj, -
  namequery.obj, -
  nmblib.obj, -
  interface.obj, -
  replace.obj, -
  print_svid.obj, -
  smberr.obj, -
  mem_man.obj, -
  slprintf.obj, -
  vmsparts.olb/lib
$ link/exe=smbstatus.exe -
  status.obj, -
  util.obj, -
  system.obj, -
  charset.obj, -
  kanji.obj, -
  fault.obj, -
  smbencrypt.obj, -
  smbdes.obj, -
  charcnv.obj, -
  md4.obj, -
  loadparm.obj, -
  params.obj, -
  pcap.obj, -
  username.obj, -
  time.obj, -
  namequery.obj, -
  nmblib.obj, -
  interface.obj, -
  replace.obj, -
  print_svid.obj, -
  smberr.obj, -
  mem_man.obj, -
  slprintf.obj, -
  locking_shm.obj, -
  locking_slow.obj, -
  locking.obj, -
  shmem.obj, -
  shmem_sysv.obj, -
  vmsparts.olb/lib
$! smbpasswd needs to be rewritten for VMS :-(
$ link/exe=smbpasswd.exe -
  smbpasswd.obj, -
  getsmbpass.obj, -
  clientgen.obj, -
  util.obj, -
  system.obj, -
  charset.obj, -
  kanji.obj, -
  fault.obj, -
  smbencrypt.obj, -
  smbdes.obj, -
  charcnv.obj, -
  md4.obj, -
  loadparm.obj, -
  params.obj, -
  pcap.obj, -
  username.obj, -
  time.obj, -
  namequery.obj, -
  nmblib.obj, -
  interface.obj, -
  replace.obj, -
  print_svid.obj, -
  smberr.obj, -
  mem_man.obj, -
  slprintf.obj, -
  vmsparts.olb/lib
$!  smbpass.obj, -
$ skip:
$ link/exe=make_smbcodepage.exe -
  make_smbcodepage.obj, -
  util.obj, -
  system.obj, -
  charset.obj, -
  kanji.obj, -
  fault.obj, -
  smbencrypt.obj, -
  smbdes.obj, -
  charcnv.obj, -
  md4.obj, -
  loadparm.obj, -
  params.obj, -
  pcap.obj, -
  username.obj, -
  time.obj, -
  namequery.obj, -
  nmblib.obj, -
  interface.obj, -
  replace.obj, -
  print_svid.obj, -
  smberr.obj, -
  mem_man.obj, -
  slprintf.obj, -
  vmsparts.olb/lib
$ link/exe=nmblookup.exe -
  nmblookup.obj, -
  util.obj, -
  system.obj, -
  charset.obj, -
  kanji.obj, -
  fault.obj, -
  smbencrypt.obj, -
  smbdes.obj, -
  charcnv.obj, -
  md4.obj, -
  loadparm.obj, -
  params.obj, -
  pcap.obj, -
  username.obj, -
  time.obj, -
  namequery.obj, -
  nmblib.obj, -
  interface.obj, -
  replace.obj, -
  print_svid.obj, -
  smberr.obj, -
  mem_man.obj, -
  slprintf.obj, -
  vmsparts.olb/lib
$ link/exe=make_printerdef.exe -
  make_printerdef.obj, -
  util.obj, -
  system.obj, -
  charset.obj, -
  kanji.obj, -
  fault.obj, -
  smbencrypt.obj, -
  smbdes.obj, -
  charcnv.obj, -
  md4.obj, -
  loadparm.obj, -
  params.obj, -
  pcap.obj, -
  username.obj, -
  time.obj, -
  namequery.obj, -
  nmblib.obj, -
  interface.obj, -
  replace.obj, -
  print_svid.obj, -
  smberr.obj, -
  mem_man.obj, -
  slprintf.obj, -
  vmsparts.olb/lib
